<?php declare(strict_types=1);

namespace App\Services\Role;

use App\Dto\Builder\Role as RoleBuilderDto;
use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Relations\Relation;

final readonly class BuilderCommand
{
    public function execute(Relation | Builder $query, RoleBuilderDto $roleBuilderDto): Relation | Builder
    {
        return $query;
    }
}
